Trillet AI logo

Redeliver an event

Trillet OEM API: Sends an event again.

POSThttps://api.trillet.ai/partner/v1/events/{eventId}/redeliver

Sends an event again. Without endpointId, it goes to every enabled endpoint subscribed to its type. Needs webhooks:write.

Loading code example
Loading code example

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventIdstringrequired

The event ID, with or without the evt_ prefix.

Pattern: ^(evt_)?[a-fA-F0-9]{24}$

Body

endpointIdstring
Pattern: ^[a-fA-F0-9]{24}$

Response

application/json

The event is being redelivered.

objectstringrequired
idstringrequired
Pattern: ^evt_[a-fA-F0-9]{24}$
redeliveringintegerrequired

The number of endpoints it is being sent to.

Last updated on